export declare enum LOG_LEVEL {
    NONE = 0,
    LOG = 1,
    INFO = 2,
    DEBUG = 3,
    WARN = 4,
    ERROR = 5
}
export default class Logger {
    history: {
        time: string;
        level: string;
        message: any;
        optionalParams: any[];
    }[];
    protected logLevel: LOG_LEVEL;
    protected historyNum: number;
    constructor(logLevel?: LOG_LEVEL, historyNum?: number);
    log(message?: any, ...optionalParams: any[]): void;
    info(message?: any, ...optionalParams: any[]): void;
    debug(message?: any, ...optionalParams: any[]): void;
    table(...tabularData: any[]): void;
    warn(message?: any, ...optionalParams: any[]): void;
    error(message?: any, ...optionalParams: any[]): void;
    protected logger(level: LOG_LEVEL, message?: any, ...optionalParams: any[]): void;
}
