/**
 * 画像処理ユーティルクラス
 */
export default class ImgUtil {
    /**
     * Imageをロード
     * @param url
     */
    static loadImg(url: string): Promise<HTMLImageElement>;
    static loadBlob(blob: Blob): Promise<HTMLImageElement>;
    static buildFile(image: HTMLImageElement): File;
    static buildBlob(image: HTMLImageElement): Blob;
    static buildBuffer(base64: string): Uint8Array;
    static buildBase64(image: HTMLImageElement): string;
    /**
     * 画像を切り取り
     */
    static crop(image: HTMLImageElement, x: number, y: number, width: number, height: number): Promise<HTMLImageElement>;
    static resize(image: HTMLImageElement, maxWidth: number, maxHeight: number): Promise<HTMLImageElement>;
    static resizeForce(image: HTMLImageElement, width: number, height: number): Promise<HTMLImageElement>;
    protected constructor();
}
